package com.xhkjedu.slive.utils;

import com.ctc.wstx.util.StringUtil;
import lombok.extern.slf4j.Slf4j;

import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.HashMap;
import java.util.Map;

/**
 * @Description
 * @Author WN
 * Date 2022/3/31 10:53
 **/
@Slf4j
public class LiveUtil {

    /**
     * @Description  获取指定日期星期
     * @Param [datestr]
     * @Return java.lang.String
     * @Author wn
     * @Date 2022/3/31 11:06
     **/
    public static String getDateZhou(String datestr){
        LocalDate localDate=LocalDate.parse(datestr, DateTimeFormatter.ofPattern("yyyy-MM-dd"));
        String k = String.valueOf(localDate.getDayOfWeek());
        Map<String,String> map = saveZhou();
        String zhoustr = map.get(k);
        return "星期"+zhoustr;
    }

    //存放周
    private static Map<String,String> saveZhou(){
        Map<String,String> map = new HashMap<>();
        map.put("MONDAY", "一");
        map.put("TUESDAY", "二");
        map.put("WEDNESDAY", "三");
        map.put("THURSDAY", "四");
        map.put("FRIDAY", "五");
        map.put("SATURDAY", "六");
        map.put("SUNDAY", "日");
        return map;
    }

    /**
     * @Description 获取索引对应的数字
     * @Param [indexnum]
     * @Return java.lang.String
     * @Author wn
     * @Date 2022/3/31 12:45
     **/
    public static String getChineStrByNum(int indexnum){
        String[] strnum = {"一","二","三","四","五","六","七","八","九","十","十一",
                "十二","十三","十四","十五","十六","十七","十八","十九","二十"};

        return strnum[indexnum];
    }

}
